Skip to main content
Sitecore Documentation
  • Learn
  • Downloads
  • Changelog
  • Roadmap
SendCloud Portal
Sitecore Send API documentation
  • Introduction to the Sitecore Send API
        • Get all segments
        • Get segment details
        • Get segment subscribers
        • Create an empty segment
        • Create a segment with criteria
        • Update a segment
        • Add criteria to a segment
        • Update segment criteria
        • Delete a segment
  1. Segments
  1. API reference
  2. Segments
  3. Get segment subscribers

Get segment subscribers

GET /lists/{MailingListID}/segments/{SegmentID}/members.{Format}

Retrieves a list of subscribers that match the criteria of a specific segment.

Request

ParameterInTypeRequiredDescription
MailingListIDpathstringtrueThe ID of the email list that contains the segment.
SegmentIDpathstringtrueThe ID of the segment that contains the subscribers you are requesting.
FormatpathstringtrueThe supported file format for getting a response.Possible values: json and xml.
apikeyquerystringtrueThe API key of your account.
http
GET https://{hostname}/v3/lists/{MailingListID}/segments/{SegmentID}/members.{Format}?apikey=
curl
curl --include \\
     --header "Content-Type: application/json" \\
     --header "Accept: application/json" \\
'https://{hostname}/v3/lists/{MailingListID}/segments/{SegmentID}/members.{Format}?apikey='

Response

StatusDescriptionHeadersSchema
200 OKThe request is successful.Content-Type
/jsonAccept
/json
N/A
json
{
  "Code": 0,
  "Error": null,
  "Context": {
    "Paging": {
      "PageSize": 500,
      "CurrentPage": 1,
      "TotalResults": 2,
      "TotalPageCount": 1,
      "SortExpression": null,
      "SortIsAscending": false
    },
    "Subscribers": \[
      {
        "ID": "07111755-8ee4-1111-ad2b-1111899c6f",
        "Name": "Paul",
        "Email": "[email protected]",
        "CreatedOn": "/Date(1461777177393+0100)/",
        "UpdatedOn": "/Date(1461777177393+0100)/",
        "UnsubscribedOn": null,
        "UnsubscribedFromID": null,
        "SubscribeType": 1,
        "SubscribeMethod": 2,
        "CustomFields": \[
          {
            "CustomFieldID": "63705cf2-7cbb-4ac1-a246-1a8c1b416026",
            "Name": "CheckBox",
            "Value": "True"
          },
          {
            "CustomFieldID": "63705cf2-7cbb-4ac1-a246-1a8c1b416026",
            "Name": "Date",
            "Value": "4/12/2016 12:00:00 AM"
          },
          {
            "CustomFieldID": "9df6dcc4-bef2-47e7-93af-86889b6b6d6a",
            "Name": "Age",
            "Value": "25"
          },
          {
            "CustomFieldID": "0d2199aa-65fc-448c-b9fe-199e3b72ebc5",
            "Name": "Some custom field",
            "Value": "Something2"
          },
          {
            "CustomFieldID": "46721a6b-09aa-46ff-bab1-a0b75dea24cf",
            "Name": "Some custom field 2",
            "Value": "Text2"
          }
        \],
        "RemovedOn": null
      },
      {
        "ID": "0bb00735-7ec7-41de-ab04-d622f67340c4",
        "Name": "John",
        "Email": "[email protected]",
        "CreatedOn": "/Date(1461777334373+0100)/",
        "UpdatedOn": "/Date(1461783253670+0100)/",
        "UnsubscribedOn": null,
        "UnsubscribedFromID": null,
        "SubscribeType": 1,
        "SubscribeMethod": 0,
        "CustomFields": \[
          {
            "CustomFieldID": "0bb00735-7ec7-41de-ab04-d622f67340c4",
            "Name": "Country",
            "Value": "UK"
          },
          {
            "CustomFieldID": "46721a6b-09aa-46ff-bab1-a0b75dea24cf",
            "Name": "Status",
            "Value": "single"
          }
        \],
        "RemovedOn": null
      }
    \]
  }
}
  • Code - the response code. This is 0 if successful.

  • Error - the response error message. This is null if successful.

  • Context - an object that contains all the following information for the requested segment:

    • Paging - an object that contains the following information:

      • PageSize - the page size of the results. This is 0 if not defined.

      • CurrentPage - the number of the result page. This is 1 if not defined.

      • Totalresults - the number of segment subscribers that are included in the response.

      • TotalPageCount - the total number of available segment subscriber pages for your account.

      • SortExpression - the sort expression associated with the column or columns being sorted.

      • SortIsAscending - this is false if the results are not displayed in ascending order based on the sort expression.

    • Subscribers - a list of subscribers included in the segment containing the following information for each subscriber:

      • ID - the ID of the subscriber.

      • Name - the name of the subscriber.

      • Email - the email address of the subscriber.

      • CreatedOn - the date-time the subscriber was added to the email list.

      • UpdatedOn - the date-time the subscriber was updated in the email list.

      • UnsubscribedOn - the date-time the subscriber was unsubscribed from the email list.

      • UnsubscribedFromID - the ID that the subscriber is unsubscribed from.

      • SubscribeType - the status of the subscriber. For subscribed, this is 1, for unsubscribed, this is 2, for bounced, this is 3, and for removed, this is 4.

      • CustomFields - a list containing the custom fields of the subscriber. Each custom field includes the following:

        • CustomFieldID - the ID of the custom field.

        • Name - the name of the custom field.

        • Value - the value of the custom field.

      • RemovedOn - the date-time the subscriber was removed from the email list.

      • Tags - a list containing the tags of the new subscriber.

      • Preferences - a list containing the preference values of the new subscriber.

If you have suggestions for improving this article, let us know!

Documentation Assistant

This assistant uses AI to generate responses based on Sitecore documentation. While it has access to official sources, answers may be incomplete or inaccurate and should not be considered official advice or support.
Powered by
k
kapa.ai
Protected by reCAPTCHA

© Copyright 2026, Sitecore A/S or a Sitecore affiliated company.
All rights reserved.

Privacy policySitecore Trust CenterTerms of use